%define upstream_name    Module-Format-AsHTML
%define upstream_version 0.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generate HTML links to metacpan module/dists pages
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Module::Format::AsHTML is a module to generate HTML hyperlinks and other
HTML fragments for CPAN modules and distributions.

It grew out of some incarnations of source codes used by some of my (=
SHLOMIF) sites.

One for example can pass:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.0.2-2.mga9
+ Revision: 1820333
- Mageia 9 Mass Rebuild

* Fri Aug 14 2020 shlomif <shlomif> 0.0.2-1.mga8
+ Revision: 1614021
- imported package perl-Module-Format-AsHTML


* Fri Aug 14 2020 cpan2dist 0.0.2-1mga
- initial mageia release, generated with cpan2dist
